Contributing
============

1. Fork the project.
2. Create your feature branch (`git checkout -b my-new-feature`).
3. Stage partial-file changesets (`git -p`).
4. Commit your changes (`git commit`).
   Make exactly as many commits as you need.
   Too many is confusing. Too few will result in epic diffs. Strive for just the right number.
   Each commit should do one thing and one thing only.
   Follow [these guidelines][1] when writing your commit messages.
5. [Hide the sausage making][2]. Squash, split and reorder commits if necessary (`git rebase -i`).
   For a more in-depth look at interactive rebasing, be sure to check [how to rewrite history][3].
6. Push to the branch (`git push origin my-new-feature`).
7. Create new Pull Request.

[1]: http://tbaggery.com/2008/04/19/a-note-about-git-commit-messages.html
[2]: http://sethrobertson.github.io/GitBestPractices/#sausage
[3]: http://git-scm.com/book/en/Git-Tools-Rewriting-History#Changing-Multiple-Commit-Messages
